import Callback from './Callback';
export default class AudioSdk {
    private mode;
    private audioCallbacks;
    private state;
    constructor(callback: Callback);
    private initializeSdk;
    private updateDevices;
    /**
     * Handles audio device changes. The list will be stored on the redux store.
     *
     * @param {Object} devices - The current list of devices.
     * @private
     * @returns {void}
     */
    private onDevicesUpdate;
    /**
     * Updates the audio mode based on the current (redux) state.
     *
     * @public
     * @returns {void}.
     */
    updateAudioMode(inCall?: boolean, isVideo?: boolean, isSilent?: boolean): void;
    updateDeviceList(): void;
    updateAudioDevice(type: string): void;
}
